
Redmine - Feature #29947

Update roadie gem to 3.4.0

2018-11-11 13:48 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution:    

Description

Redmine uses roadie gem 3.2.x that is a bit old. According to the commit log of r16611, this is because some test failure was

observed with roadie 3.3 and Ruby 2.1.

But the current trunk does not support Ruby 2.1, so we don't have to take Ruby 2.1 into account. I think Redmine can update roadie

gem right now.

Index: Gemfile

===================================================================

--- Gemfile    (revision 17626)

+++ Gemfile    (working copy)

@@ -10,7 +10,7 @@

 gem "mini_mime", "~> 1.0.1" 

 gem "actionpack-xml_parser" 

 gem "roadie-rails", "~> 1.3.0" 

-gem "roadie", "~> 3.2.1" 

+gem "roadie", "~> 3.4.0" 

 gem "mimemagic" 

 gem "mail", "~> 2.7.1" 

 gem "csv", "~> 1.0.2" if RUBY_VERSION >= "2.3" 

Related issues:

Related to Redmine - Feature #25538: Drop support for Ruby 2.2.1 and ealier, ... Closed

Associated revisions

Revision 17629 - 2018-11-19 13:31 - Go MAEDA

Unpin roadie gem version (#29947).

History

#1 - 2018-11-11 13:48 - Go MAEDA

- Category set to Gems support

#2 - 2018-11-12 02:47 - Go MAEDA

I think reverting r16611 is better because roadie is required by roadie-rails and not directly required by Redmine.

Index: Gemfile

===================================================================

--- Gemfile    (revision 17626)

+++ Gemfile    (working copy)

@@ -10,7 +10,6 @@

 gem "mini_mime", "~> 1.0.1" 

 gem "actionpack-xml_parser" 

 gem "roadie-rails", "~> 1.3.0" 

-gem "roadie", "~> 3.2.1" 

 gem "mimemagic" 

 gem "mail", "~> 2.7.1" 

 gem "csv", "~> 1.0.2" if RUBY_VERSION >= "2.3" 

#3 - 2018-11-12 14:36 - Go MAEDA

- Related to Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added
#4 - 2018-11-19 13:31 - Go MAEDA

- Status changed from New to Closed

- Target version set to 4.0.0

Committed.

#5 - 2018-12-03 01:39 - Go MAEDA

- Assignee set to Go MAEDA
